Pattern Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes
Pattern Struct Reference

`#include <openbabel/parsmart.h>`

List of all members.

## Public Attributes
int | aalloc
int | acount
int | balloc
int | bcount
bool | ischiral
AtomSpec * | atom
BondSpec * | bond
int | parts
bool | hasExplicitH
std::vector< int > | bond_parse_order

## Detailed Description

A SMARTS parser internal pattern.

## Member Data Documentation

int aalloc

Referenced by OpenBabel::AllocPattern(), OpenBabel::CreateAtom(), and OpenBabel::FreePattern().

int acount

Referenced by OpenBabel::AllocPattern(), OpenBabel::CopyPattern(), OpenBabel::CreateAtom(), OBSmartsMatcher::FastSingleMatch(), OpenBabel::FreePattern(), OBSmartsMatcher::match(), OBSSMatch::OBSSMatch(), OBSmartsPattern::ParseSMARTSPart(), OBSmartsMatcher::SetupAtomMatchTable(), and OBSmartsPattern::SMARTSParser().

int balloc

Referenced by OpenBabel::AllocPattern(), OpenBabel::CreateBond(), and OpenBabel::FreePattern().

int bcount

Referenced by OpenBabel::AllocPattern(), OpenBabel::CopyPattern(), OpenBabel::CreateBond(), OBSmartsMatcher::FastSingleMatch(), OpenBabel::FreePattern(), OpenBabel::MarkGrowBonds(), and OBSmartsMatcher::match().

bool ischiral

Referenced by OBSmartsMatcher::match(), and OBSmartsPattern::ParseSMARTSPart().

AtomSpec* atom

Referenced by OpenBabel::AllocPattern(), OpenBabel::ConstrainRecursion(), OpenBabel::CopyPattern(), OpenBabel::CreateAtom(), OBSmartsMatcher::FastSingleMatch(), OpenBabel::FreePattern(), OBSmartsMatcher::match(), OBSmartsPattern::ParseSMARTSPart(), and OBSmartsMatcher::SetupAtomMatchTable().

BondSpec* bond

Referenced by OpenBabel::AllocPattern(), OpenBabel::CopyPattern(), OpenBabel::CreateBond(), OBSmartsMatcher::FastSingleMatch(), OpenBabel::FreePattern(), OpenBabel::MarkGrowBonds(), and OBSmartsMatcher::match().

int parts

Referenced by OpenBabel::AllocPattern(), OpenBabel::CopyPattern(), and OBSmartsPattern::ParseSMARTSPattern().

bool hasExplicitH

Referenced by OpenBabel::AllocPattern(), and OBSmartsPattern::SMARTSParser().

std::vector<int> bond_parse_order

Referenced by OBSmartsMatcher::match(), OBSmartsPattern::ParseSMARTSPart(), and OBSmartsPattern::SMARTSParser().

The documentation for this struct was generated from the following file:

- parsmart.h

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines